extends Node2D

## 状態.
enum eState {
	MAIN,
	DIALOG, # ダイアログが開いている.
}

## Yes/Noダイアログ
@onready var _yes_no_dialog = $ConfirmationDialog

## 状態.
var _state = eState.MAIN

func _ready() -> void:
	# Yes/Noダイアログを中央に表示.
	_yes_no_dialog.popup_centered()
	_state = eState.DIALOG # ダイアログ開いた状態.

func _process(delta: float) -> void:
	match _state:
		eState.MAIN:
			pass
		eState.DIALOG:
			if _yes_no_dialog.has_focus() == false:
				# ダイアログが閉じられた.
				print("Yes/Noダイアログを閉じた")
				_state = eState.MAIN
